package cn.org.zx.db.dbconnection;

import java.sql.Connection;
import java.sql.ResultSet;

import cn.org.zx.db.dbexception.DBErrorException;

public interface DBConnection
{

    public abstract Connection getConnection();

    public abstract void openbyJDBC(String s, String s1, String s2)
        throws DBErrorException;

    public abstract void openbyJNDI(String s)
        throws DBErrorException;
 
    public abstract void close()
        throws DBErrorException;

    public abstract ResultSet getResultBySql(String s)
        throws DBErrorException;

    public abstract void execSql(String s)
        throws DBErrorException;

    public abstract void setAutoCommit(boolean flag);
}
